Description

Quickly testing a 3G setup on current master, | see signalling is working, but voice RAB Assignment fails.
| see osmo-mgw saying:

20180723172416621 DRTP ERROR mgcp_network.c:835 endpoint:0x0 data from wrong address: 192.168.0.12
4, expected: 0.0.0.0

20180723172416621 DRTP ERROR mgcp_network.c:839 endpoint:0x0 packet tossed

This is the IUUP Initialization message that we should respond to with an IuUP Initialization ACK.

a) Apparently we are no longer telling the osmo-mgw the femto cell's IP address on time.

b) AFAICT we still have that luUP hack in osmo-mgw to patch the looped back IuUP Initialization to an luUP Initialization Ack, but the
proper implementation is asked for in #2459 / #1937

Related issues:

Related to OsmoMGW - Feature #2459: remove nano3G IuUP "Initialization ACK" h... New 02/06/2017 02/06/2017
Related to OsmoMGW - Feature #1937: Implement way how to handle luUP on RTP e... New 02/03/2017 02/03/2017
History

#1 - 07/23/2018 03:38 PM - neels
- Related to Feature #2459: remove nano3G IuUP "Initialization ACK" hack when IuUP proxy is in place added

#2 - 07/23/2018 03:39 PM - neels
- Related to Feature #1937: Implement way how to handle luUP on RTP endpoints added

#3 - 07/23/2018 04:41 PM - neels
- Status changed from New to In Progress
- Assignee set to neels

- % Done changed from 0 to 90

| am able to get 3G voice working with yet another one of our mad IuUP hacks: https:/gerrit.osmocom.org/#/c/osmo-mgw/+/10119

#4 - 08/20/2018 03:26 PM - neels

patch still waiting for CR on gerrit

#5 - 09/12/2018 01:43 PM - neels
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100
